Bug 240470 - net/socketapi: Fix build on big-endian architectures
Summary: net/socketapi: Fix build on big-endian architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-10 11:53 UTC by Piotr Kubaj
Modified: 2019-09-16 12:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dreibh)
koobs: merge-quarterly?


Attachments
patch (1013 bytes, patch)
2019-09-10 11:53 UTC, Piotr Kubaj
koobs: maintainer-approval+
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-09-10 11:53:37 UTC
Created attachment 207345 [details]
patch

Big-endian architectures had a superfluous #error. Merge upstream commit to fix it.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-09-13 12:00:57 UTC
This built for me on ppcports, so approved by mentor pending maintainer.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-14 04:39:39 UTC
^Triage: Reporter is committer, assign accordingly
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-14 04:40:08 UTC
Comment on attachment 207345 [details]
patch

Approved by: linimon (mentor)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-14 04:40:30 UTC
Comment on attachment 207345 [details]
patch

Approved by: portmgr (blanket: build fix)
MFH: 2019Q3
Comment 5 commit-hook freebsd_committer 2019-09-16 12:00:50 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Sep 16 12:00:13 UTC 2019
New revision: 512174
URL: https://svnweb.freebsd.org/changeset/ports/512174

Log:
  net/socketapi: Fix build on big-endian architectures

  Big-endian architectures had a superfluous #error. Merge upstream commit to fix it.

  PR:		240470
  Approved by:	dreibh@iem.uni-due.de (maintainer), linimon (mentor)

Changes:
  head/net/socketapi/Makefile
  head/net/socketapi/distinfo